VirtualBox

Ticket #887 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

The kernel module won't compile: Fedora Core 6

Reported by: babai78 Owned by:
Priority: major Component: other
Version: VirtualBox 1.5.2 Keywords:
Cc: Guest type: other
Host type: other

Description

I tried installing the rpm for Fedora Core 6 from the VirtualBox webpage without any success! This is the output of /var/log/vbox-install.log after I do /etc/init.d/vboxdrv setup, which fails:

make KBUILD_VERBOSE=1 -C /lib/modules/2.6.22.9-61.fc6/build SUBDIRS=/tmp/vbox.9 SRCROOT=/tmp/vbox.9 modules
make[1]: Entering directory `/usr/src/kernels/2.6.22.9-61.fc6-i686'
test -e include/linux/autoconf.h -a -e include/config/auto.conf || (		\
	echo;								\
	echo "  ERROR: Kernel configuration is invalid.";		\
	echo "         include/linux/autoconf.h or include/config/auto.conf are missing.";	\
	echo "         Run 'make oldconfig && make prepare' on kernel src to fix it.";	\
	echo;								\
	/bin/false)
mkdir -p /tmp/vbox.9/.tmp_versions
rm -f /tmp/vbox.9/.tmp_versions/*
make -f scripts/Makefile.build obj=/tmp/vbox.9
  gcc -m32 -Wp,-MD,/tmp/vbox.9/linux/.SUPDrv-linux.o.d  -nostdinc -isystem ./include -D__KERNEL__ -Iinclude  -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Os -pipe -msoft-float -mregparm=3 -freg-struct-return -mpreferred-stack-boundary=2  -march=i586 -mtune=generic -mtune=generic -ffreestanding -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -Iinclude/asm-i386/mach-generic -Iinclude/asm-i386/mach-default -fomit-frame-pointer -g  -fno-stack-protector -Wdeclaration-after-statement -Wno-pointer-sign -I/lib/modules/2.6.22.9-61.fc6/build/include  -I/tmp/vbox.9/ -I/tmp/vbox.9/include -I/tmp/vbox.9/r0drv/linux -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DCONFIG_VBOXDRV_AS_MISC -DRT_ARCH_X86 -DUSE_NEW_OS_INTERFACE_FOR_MM   -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(SUPDrv_linux)"  -D"KBUILD_MODNAME=KBUILD_STR(vboxdrv)" -c -o /tmp/vbox.9/linux/.tmp_SUPDrv-linux.o /tmp/vbox.9/linux/SUPDrv-linux.c
In file included from /tmp/vbox.9/include/VBox/types.h:21,
                 from /tmp/vbox.9/SUPDRV.h:26,
                 from /tmp/vbox.9/linux/SUPDrv-linux.c:22:
/tmp/vbox.9/include/iprt/types.h:65:22: error: stddef.h: No such file or directory
In file included from /tmp/vbox.9/include/iprt/string.h:22,
                 from /tmp/vbox.9/SUPDRV.h:39,
                 from /tmp/vbox.9/linux/SUPDrv-linux.c:22:
/tmp/vbox.9/include/iprt/stdarg.h:21:21: error: stdarg.h: No such file or directory
In file included from /tmp/vbox.9/SUPDRV.h:39,
                 from /tmp/vbox.9/linux/SUPDrv-linux.c:22:
/tmp/vbox.9/include/iprt/string.h:477: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
/tmp/vbox.9/include/iprt/string.h:497: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
/tmp/vbox.9/include/iprt/string.h:538: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
/tmp/vbox.9/include/iprt/string.h:563: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
/tmp/vbox.9/include/iprt/string.h:590: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
In file included from ./include/asm/system.h:4,
                 from ./include/asm/processor.h:18,
                 from ./include/asm/thread_info.h:16,
                 from ./include/linux/thread_info.h:21,
                 from ./include/linux/preempt.h:9,
                 from ./include/linux/spinlock.h:49,
                 from /tmp/vbox.9/SUPDRV.h:84,
                 from /tmp/vbox.9/linux/SUPDrv-linux.c:22:
./include/linux/kernel.h:123: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
./include/linux/kernel.h:127: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
./include/linux/kernel.h:131: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
./include/linux/kernel.h:135: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
./include/linux/kernel.h:139: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
./include/linux/kernel.h:155: error: expected declaration specifiers or $-1òø...òù before òøva_listòù
/tmp/vbox.9/linux/SUPDrv-linux.c: In function $-1òøSUPR0Printfòù:
/tmp/vbox.9/linux/SUPDrv-linux.c:1893: error: $-1òøva_listòù undeclared (first use in this function)
/tmp/vbox.9/linux/SUPDrv-linux.c:1893: error: (Each undeclared identifier is reported only once
/tmp/vbox.9/linux/SUPDrv-linux.c:1893: error: for each function it appears in.)
/tmp/vbox.9/linux/SUPDrv-linux.c:1893: error: expected $-1òø;òù before òøargsòù
/tmp/vbox.9/linux/SUPDrv-linux.c:1894: warning: ISO C90 forbids mixed declarations and code
/tmp/vbox.9/linux/SUPDrv-linux.c:1896: warning: implicit declaration of function $-1òøva_startòù
/tmp/vbox.9/linux/SUPDrv-linux.c:1896: error: $-1òøargsòù undeclared (first use in this function)
/tmp/vbox.9/linux/SUPDrv-linux.c:1897: error: too many arguments to function $-1òøvsnprintfòù
/tmp/vbox.9/linux/SUPDrv-linux.c:1900: warning: implicit declaration of function $-1òøva_endòù
/tmp/vbox.9/linux/SUPDrv-linux.c: In function $-1òøAssertMsg2òù:
/tmp/vbox.9/linux/SUPDrv-linux.c:1925: error: $-1òøva_listòù undeclared (first use in this function)
/tmp/vbox.9/linux/SUPDrv-linux.c:1925: error: expected $-1òø;òù before òøapòù
/tmp/vbox.9/linux/SUPDrv-linux.c:1926: warning: ISO C90 forbids mixed declarations and code
/tmp/vbox.9/linux/SUPDrv-linux.c:1928: error: $-1òøapòù undeclared (first use in this function)
/tmp/vbox.9/linux/SUPDrv-linux.c:1929: error: too many arguments to function $-1òøvsnprintfòù
make[2]: *** [/tmp/vbox.9/linux/SUPDrv-linux.o] Error 1
make[1]: *** [_module_/tmp/vbox.9] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.22.9-61.fc6-i686'
make: *** [vboxdrv] Error 2

I read somewhere it's impossible to install VirtualBox for newer kernels unless one has a compiled bare kernel with all default options enabled. That's what 'make oldconfig' is probably saying. Is this a bug?

Change History

comment:1 follow-up: ↓ 2 Changed 6 years ago by frank

Hmm, please could you post the output of

gcc -q -i gcc

and

gcc -q -l gcc

comment:2 in reply to: ↑ 1 Changed 6 years ago by babai78

Replying to frank:

Hmm, please could you post the output of

gcc -q -i gcc
gcc: gcc: No such file or directory
gcc: unrecognized option '-q'
gcc: no input files

and

gcc -q -l gcc
gcc: unrecognized option '-q'
/usr/lib/crt1.o: In function `_start':
(.text+0x18): undefined reference to `main'
collect2: ld returned 1 exit status

comment:3 follow-up: ↓ 4 Changed 6 years ago by frank

I'm sorry, this was an annoying typo by me. Please do

rpm -q -i gcc

and

rpm -q -l gcc

comment:4 in reply to: ↑ 3 Changed 6 years ago by babai78

Replying to frank: Yeah, I guessed that! Anyway, here is the output:

I'm sorry, this was an annoying typo by me. Please do

rpm -q -i gcc
Name        : gcc                          Relocations: (not relocatable)
Version     : 4.1.2                             Vendor: Red Hat, Inc.
Release     : 13.fc6                        Build Date: Wed 27 Jun 2007 04:58:39 PM CDT
Install Date: Sun 08 Jul 2007 12:32:15 AM CDT      Build Host: ls20-bc1-14.build.redhat.com
Group       : Development/Languages         Source RPM: gcc-4.1.2-13.fc6.src.rpm
Size        : 10011969                         License: GPL
Signature   : DSA/SHA1, Mon 02 Jul 2007 09:32:27 AM CDT, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://gcc.gnu.org
Summary     : Various compilers (C, C++, Objective-C, Java, ...)
Description :
The gcc package contains the GNU Compiler Collection version 4.1.
You'll need this package in order to compile C code.

and

rpm -q -l gcc
/usr/bin/c89
/usr/bin/c99
/usr/bin/cc
/usr/bin/gcc
/usr/bin/gcov
/usr/bin/i386-redhat-linux-gcc
/usr/bin/protoize
/usr/bin/unprotoize
/usr/lib/gcc
/usr/lib/gcc/i386-redhat-linux
/usr/lib/gcc/i386-redhat-linux/4.1.1
/usr/lib/gcc/i386-redhat-linux/4.1.1/SYSCALLS.c.X
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtbegin.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtbeginS.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtbeginT.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtend.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtendS.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/crtfastmath.o
/usr/lib/gcc/i386-redhat-linux/4.1.1/include
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/README
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/ammintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/emmintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/float.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/iso646.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/limits.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/mm3dnow.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/mm_malloc.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/mmintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/omp.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/pmmintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/stdarg.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/stdbool.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/stddef.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/syslimits.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/tmmintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/unwind.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/varargs.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/include/xmmintrin.h
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgcc.a
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgcc_eh.a
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgcc_s.so
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgcov.a
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgomp.a
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgomp.so
/usr/lib/gcc/i386-redhat-linux/4.1.1/libgomp.spec
/usr/lib/gcc/i386-redhat-linux/4.1.2
/usr/libexec/gcc
/usr/libexec/gcc/i386-redhat-linux
/usr/libexec/gcc/i386-redhat-linux/4.1.1
/usr/libexec/gcc/i386-redhat-linux/4.1.1/collect2
/usr/libexec/gcc/i386-redhat-linux/4.1.2
/usr/libexec/getconf
/usr/libexec/getconf/default
/usr/share/doc/gcc-4.1.2
/usr/share/doc/gcc-4.1.2/COPYING
/usr/share/doc/gcc-4.1.2/COPYING.LIB
/usr/share/doc/gcc-4.1.2/ChangeLog-1997.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-1998.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-1999.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2000.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2001.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2002.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2003.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2004.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog-2005.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog.gomp.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog.lib.bz2
/usr/share/doc/gcc-4.1.2/ChangeLog.tree-ssa.bz2
/usr/share/doc/gcc-4.1.2/README.Portability
/usr/share/info/gcc.info.gz
/usr/share/info/gccinstall.info.gz
/usr/share/info/gccint.info.gz
/usr/share/locale/be/LC_MESSAGES/gcc.mo
/usr/share/locale/ca/LC_MESSAGES/gcc.mo
/usr/share/locale/da/LC_MESSAGES/gcc.mo
/usr/share/locale/de/LC_MESSAGES/gcc.mo
/usr/share/locale/el/LC_MESSAGES/gcc.mo
/usr/share/locale/es/LC_MESSAGES/gcc.mo
/usr/share/locale/fr/LC_MESSAGES/gcc.mo
/usr/share/locale/ja/LC_MESSAGES/gcc.mo
/usr/share/locale/nl/LC_MESSAGES/gcc.mo
/usr/share/locale/ru/LC_MESSAGES/gcc.mo
/usr/share/locale/rw/LC_MESSAGES/gcc.mo
/usr/share/locale/sr/LC_MESSAGES/gcc.mo
/usr/share/locale/sv/LC_MESSAGES/gcc.mo
/usr/share/locale/tr/LC_MESSAGES/gcc.mo
/usr/share/locale/zh_CN/LC_MESSAGES/gcc.mo
/usr/share/locale/zh_TW/LC_MESSAGES/gcc.mo
/usr/share/man/man1/gcc.1.gz
/usr/share/man/man1/gcov.1.gz
/usr/share/man/man1/protoize.1.gz
/usr/share/man/man1/unprotoize.1.gz

comment:5 follow-up: ↓ 6 Changed 6 years ago by frank

Hmm, strange. Did you change anything in /usr/src/kernels?

comment:6 in reply to: ↑ 5 Changed 6 years ago by babai78

Replying to frank:

Hmm, strange. Did you change anything in /usr/src/kernels?

I don't think so. I am using this kernel for two weeks or so. And as for the kernel-devel files I just installed them before trying to install VirtualBox so I have only this inside /usr/src/kernels:

[arnab@mobile164-105 kernels]$ ls -l
total 4
drwxr-xr-x 18 root root 4096 Nov 13 00:36 2.6.22.9-61.fc6-i686

Is i686 a problem? Probably the VirtualBox version I am trying to install is for i386/i586? On the other hand someone in the forums solved a similar problem:  http://forums.virtualbox.org/viewtopic.php?t=1493

I don't understand why a bare kernel would be necessary.

Thanks for all your responses.

comment:7 Changed 6 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Please reopen if this is still a problem.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use